Bug 1475190 - [GSS](6.4.z) jgroups port_range documentation (edit)
[GSS](6.4.z) jgroups port_range documentation (edit)
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: sgilda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 03:59 EDT by tmiyargi
Modified: 2017-12-04 16:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-04 16:52:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tmiyargi 2017-07-26 03:59:19 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Application_Platform/6.4/html-single/Administration_and_Configuration_Guide/index.html

Section Number and Name:
17.5.2. Configure the JGroups Subsystem to Use TCP 

Describe the issue: 

port_range is initialport + port_range, as explained here
http://www.jgroups.org/manual/html/user-advanced.html

Suggestions for improvement: 

Additionally, the description of the initial_hosts property in the EAP
documentation is incomplete/misleading:
"A comma-separated list of the hosts which are considered well-known,
and will be available to look up the initial membership."

The value of the initial_hosts property includes a host *and* port
using the syntax: host[port].  The port_range applies to each address
specified in initial_hosts.  The end result is that the port_range
effectively multiplies the set of potential initial members.
e.g.
if initial_hosts="host1[1000],host2[2000]" and port_range="2", TCPPING
will try to contact the following addresses when the channel is
connected:

host1:1000, host1:1001, host1:1002, host2:2000, host2:2001, host2:2002

Additional information:
Comment 2 sgilda 2017-11-13 16:21:59 EST
This looks good to me. Marking it verified.
Comment 3 Christian Huffman 2017-12-04 16:52:24 EST
The text for initial_hosts and port_range has been updated, and is available on the Customer Portal at the following link:

https://access.redhat.com/documentation/en-us/red_hat_jboss_enterprise_application_platform/6.4/html-single/administration_and_configuration_guide/#Configure_the_JGroups_Subsystem_to_Use_TCP

Note You need to log in before you can comment on or make changes to this bug.